import java.util.Scanner;

public class GreatestCommonDivisorMethod {
  /** Metoda main */
  public static void main(String[] args) {
    // Tworzenie obiektu typu Scanner
    Scanner input = new Scanner(System.in);

    // Wyświetlanie prośby o podanie dwóch liczb całkowitych
    System.out.print("Podaj pierwszą liczbę całkowitą: ");
    int n1 = input.nextInt();
    System.out.print("Podaj drugą liczbę całkowitą: ");
    int n2 = input.nextInt();

    System.out.println("Największy wspólny dzielnik liczb " + n1 +
      " i " + n2 + " to " + gcd(n1, n2));
  }

  /** Zwracanie gcd dwóch liczb całkowitych */
  public static int gcd(int n1, int n2) {
    int gcd = 1; // Początkowo gcd to 1
    int k = 1; // Możliwe gcd
    
    while (k <= n1 && k <= n2) {
      if (n1 % k == 0 && n2 % k == 0)
        gcd = k; // Aktualizowanie gcd
      k++;
    }

    return gcd; // Zwracanie gcd
  }
}
